Subject: I-D Action: draft-zimmermann-tcpm-reordering-detection-01.txt

From: [email-masked]
Date: Tue, 20 May 2014 03:37:02 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Detection and Quantification of Packet Reordering with TCP
        Authors         : Alexander Zimmermann
                          Lennart Schulte
                          Carsten Wolff
                          Arnd Hannemann
	Filename        : draft-zimmermann-tcpm-reordering-detection-01.txt
	Pages           : 23
	Date            : 2014-05-20

Abstract:
   This document specifies an algorithm for the detection and
   quantification of packet reordering for TCP.  In the absence of
   explicit congestion notification from the network, TCP uses only
   packet loss as an indication of congestion.  One of the signals TCP
   uses to determine loss is the arrival of three duplicate
   acknowledgments.  However, this heuristic is not always correct,
   notably in the case when paths reorder packets.  This results in
   degraded performance.

   The algorithm for the detection and quantification of reordering in
   this document uses information gathered from the TCP Timestamps
   Option, the TCP SACK Option and its DSACK extension.  When a
   reordering event is detected, the algorithm calculates a reordering
   extent by determining the number of segments the reordered segment
   was late with respect to its position in the sequence number space.
   Additionally, the algorithm computes a second reordering extent that
   is relative to the amount of outstanding data and thus provides a
   better estimation of the reordering delay when other sender state
   changes.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-zimmermann-tcpm-reordering-detection/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-zimmermann-tcpm-reordering-detection-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-zimmermann-tcpm-reordering-detection-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/